Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: monit

Tunables Interfaces

### Description:

Monit - utility for monitoring services on a Unix system.

### Tunables:

monit_startstop_services

##### Default value

false

##### Description

Allow monit to start/stop services

Return

### Interfaces:

monit_admin( domain , role )

##### Summary

All of the rules required to administrate an monit environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

monit_domtrans_cli( domain )

##### Summary

Execute a domain transition to run monit cli.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

monit_reload( domain )

##### Summary

Reload the monit daemon.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

monit_run_cli( domain , role )

##### Summary

Execute monit in the monit cli domain, and allow the specified role the monit cli domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

monit_startstop_service( domain )

##### Summary

Start and stop the monit daemon.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return